You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: lini...@freebsd.org
Ident:          $FreeBSD: head/net-im/pidgin-facebookchat/Makefile 352565 
2014-04-29 02:13:29Z linimon $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2014-05-15_18h38m43s/logs/pidgin-facebookchat-1.69_2.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2014-05-15_18h38m43s
Log:

====>> Building net-im/pidgin-facebookchat
build started at Fri May 16 02:41:00 UTC 2014
port directory: /usr/ports/net-im/pidgin-facebookchat
building for: FreeBSD 10amd64-default-job-18 10.0-RELEASE-p1 FreeBSD 
10.0-RELEASE-p1 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/net-im/pidgin-facebookchat/Makefile 352565 
2014-04-29 02:13:29Z linimon $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1000510

---Begin Environment---
OSVERSION=1000510
UNAME_v=FreeBSD 10.0-RELEASE-p1
UNAME_r=10.0-RELEASE-p1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/10amd64-default/ref
PKG_EXT=txz
tpid=80462
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=pidgin-facebookchat-1.69_2
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/10amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/10amd64-default/ref/poudriere/pool
MASTERNAME=10amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/pidgin-facebookchat"
EXAMPLESDIR="share/examples/pidgin-facebookchat"
DATADIR="share/pidgin-facebookchat"
WWWDIR="www/pidgin-facebookchat"
ETCDIR="etc/pidgin-facebookchat"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/pidgin-facebookchat
DOCSDIR=/usr/local/share/doc/pidgin-facebookchat
EXAMPLESDIR=/usr/local/share/examples/pidgin-facebookchat
WWWDIR=/usr/local/www/pidgin-facebookchat
ETCDIR=/usr/local/etc/pidgin-facebookchat
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for pidgin-facebookchat-1.69_2
=======================<phase: check-sanity   >============================
===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

obsolete, development has ceased, not staged.

It is scheduled to be removed on or after 2014-07-27.

===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   pidgin-facebookchat-1.69_2 depends on file: /usr/local/sbin/pkg - not 
found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of pidgin-facebookchat-1.69_2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

obsolete, development has ceased, not staged.

It is scheduled to be removed on or after 2014-07-27.

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by pidgin-facebookchat-1.69_2 for building
===========================================================================
=======================<phase: checksum       >============================
===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

obsolete, development has ceased, not staged.

It is scheduled to be removed on or after 2014-07-27.

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by pidgin-facebookchat-1.69_2 for building
=> SHA256 Checksum OK for pidgin-facebookchat-source-1.69.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

obsolete, development has ceased, not staged.

It is scheduled to be removed on or after 2014-07-27.

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by pidgin-facebookchat-1.69_2 for building
===>  Extracting for pidgin-facebookchat-1.69_2
=> SHA256 Checksum OK for pidgin-facebookchat-source-1.69.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for pidgin-facebookchat-1.69_2
/usr/bin/sed -i.bak -e "s#i686-pc-freebsd6.0-gcc#cc#;  
s#/usr/local/#/usr/local/#g;  
s#/usr/include/json-glib-1.0#/usr/local/include/json-glib-1.0  
-L/usr/local/lib/#g"  
/wrkdirs/usr/ports/net-im/pidgin-facebookchat/work/pidgin-facebookchat/Makefile
===========================================================================
=======================<phase: build-depends  >============================
===>   pidgin-facebookchat-1.69_2 depends on executable: pidgin - not found
===>    Verifying install for pidgin in /usr/ports/net-im/pidgin
===>   Installing existing package /packages/All/pidgin-2.10.9.txz
Installing pidgin-2.10.9...Installing atk-2.8.0...Installing 
gettext-0.18.3.1_1... done
Installing glib-2.36.3_2...Installing libffi-3.0.13_1... done
Installing libiconv-1.14_3... done
Installing pcre-8.34_1... done
Installing perl5-5.16.3_9... done
Installing python27-2.7.6_4... done
No schema files found: doing nothing.
 done
Installing gnomehier-3.0... done
 done
Installing avahi-app-0.6.31_2...Installing dbus-glib-0.100.2_1...Installing 
dbus-1.8.0...Installing expat-2.1.0... done
Installing gnome_subr-1.0... done
Installing libICE-1.0.8_2,1...Installing xproto-7.0.25... done
 done
Installing libSM-1.2.2_2,1... done
Installing libX11-1.6.2_2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8_2... done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1... done
 done
 done
===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
 done
 done
Installing gdbm-1.11... done
Installing gobject-introspection-1.36.0_2...Installing python2-2_2... done
 done
Installing libdaemon-0.14_1... done
===> Creating users and/or groups.
Creating group 'avahi' with gid '558'.
<snip>
 done
Installing harfbuzz-0.9.28...Installing graphite2-1.2.4... done
Installing icu-52.1... done
 done
Installing libXft-2.3.1_2... done
Installing xorg-fonts-truetype-7.7_1...Installing dejavu-2.34_3... done
Installing font-bh-ttf-1.0.3_1...Installing mkfontdir-1.0.7...Installing 
mkfontscale-1.1.1_1...Installing libfontenc-1.1.2_2... done
 done
 done
 done
Installing font-misc-ethiopic-1.0.3_1... done
Installing font-misc-meltho-1.0.3_1... done
 done
 done
 done
Installing gstreamer-plugins-theora-0.10.36_1,3...Installing 
libtheora-1.1.1_5...Installing libvorbis-1.3.4,3... done
 done
 done
Installing gstreamer-plugins-vorbis-0.10.36_1,3... done
Installing gstreamer-plugins-xvid-0.10.23_1,3...Installing xvid-1.3.2,1... done
 done
 done
Installing libnice-0.1.3... done
Installing py27-gstreamer-0.10.22_2...Installing 
py27-gobject-2.28.6_4...Installing py27-cairo-1.10.0_2... done
 done
Installing py27-libxml2-2.9.1...Installing py27-setuptools27-2.0.1... done
 done
 done
 done
Installing gdk-pixbuf2-2.28.2...Installing jasper-1.900.1_14...Installing 
jpeg-8_5... done
 done
Installing libXi-1.7.2_2,1...Installing inputproto-2.3... done
Installing libXfixes-5.0.1_2...Installing fixesproto-5.0... done
 done
 done
Installing libXt-1.1.4_2,1... done
Installing tiff-4.0.3_2...Installing freeglut-2.8.1_2...Installing 
libGLU-9.0.0...Installing libGL-7.6.1_4...Installing dri2proto-2.8... done
Installing libXdamage-1.1.4_2...Installing damageproto-1.2.1... done
 done
Installing libXxf86vm-1.1.3_2...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2_2...Installing 
pciids-20140502... done
 done
 done
 done
 done
Installing libXrandr-1.4.2_2...Installing randrproto-1.4.0... done
 done
 done
Installing jbigkit-1.6... done
Installing libXmu-1.1.2_2,1... done
 done
 done
Installing gstreamer-plugins-v4l2-0.10.31_1,3...Installing libv4l-0.8.8_1... 
done
Installing webcamd-3.13.0.6...Installing cuse4bsd-kmod-0.1.33_1... done
Installing hal-0.5.14_26...Installing bash-4.3.11_2...Updating /etc/shells
 done
Installing consolekit-0.4.3...Installing polkit-0.105_3... done
 done
Installing dmidecode-2.12... done
Installing libvolume_id-0.81.1... done
Installing policykit-0.9_8...===> Creating users and/or groups.
Creating group 'polkit' with gid '562'.
Creating user 'polkit' with uid '562'.
 done
===> Creating users and/or groups.
Creating group 'haldaemon' with gid '560'.
Creating user 'haldaemon' with uid '560'.
 done
===> Creating users and/or groups.
Creating group 'webcamd' with gid '145'.
Creating user 'webcamd' with uid '145'.
 done
 done
Installing gtk-update-icon-cache-2.24.22...Installing 
hicolor-icon-theme-0.12... done
Installing libXcomposite-0.4.4_2,1...Installing compositeproto-0.4.2... done
 done
Installing libXcursor-1.1.14_2... done
Installing libXinerama-1.1.3_2,1...Installing xineramaproto-1.2.1... done
 done
Installing shared-mime-info-1.1_1... done
 done
Installing gtk2-2.24.22_3...Installing cups-client-1.7.2...===> Creating users 
and/or groups.
Creating group 'cups' with gid '193'.
Creating user 'cups' with uid '193'.
 done
Installing python-2.7_1,2... done
 done
Installing gtkspell-2.0.16_5...Installing enchant-1.6.0_3...Installing 
hunspell-1.3.2_4... done
 done
 done
Installing libXScrnSaver-1.2.2_2...Installing scrnsaverproto-1.2.2... done
 done
Installing libidn-1.28_1... done
Installing libpurple-2.10.9_1...Installing ORBit2-2.14.19_1...Installing 
libIDL-0.8.14_2... done
 done
Installing gconf2-2.32.0_4...Installing dconf-0.14.1_1... done
 done
Installing nss-3.16...Installing nspr-4.10.4... done
Installing sqlite3-3.8.4.2... done
 done
Installing py27-dbus-1.1.1... done
 done
Installing startup-notification-0.12_3... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
======================================================================

bash requires fdescfs(5) mounted on /dev/fd

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0

======================================================================
*********************************************************************
1) webcamd requires the cuse4bsd kernel module, please load this
by doing

       # kldload cuse4bsd

or adding

       cuse4bsd_load="YES"

to your /boot/loader.conf.

2) add webcamd_enable="YES"

to your /etc/rc.conf

3) Please restart devd as the configuration changed

        # service devd restart

4) Optionally add a user to the "webcamd" group

        # pw groupmod webcamd -m <username>

*********************************************************************
===>   Returning to build of pidgin-facebookchat-1.69_2
===========================================================================
=======================<phase: lib-depends    >============================
===>   pidgin-facebookchat-1.69_2 depends on shared library: json-glib-1.0.0 - 
not found
===>    Verifying install for json-glib-1.0.0 in /usr/ports/devel/json-glib
===>   Installing existing package /packages/All/json-glib-0.14.2.txz
Installing json-glib-0.14.2... done
===>   Returning to build of pidgin-facebookchat-1.69_2
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for pidgin-facebookchat-1.69_2
===========================================================================
=======================<phase: build          >============================
===>  Building for pidgin-facebookchat-1.69_2
make -C /wrkdirs/usr/ports/net-im/pidgin-facebookchat/work/pidgin-facebookchat 
libfacebookbsd60.so
cc -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS 
-DENABLE_NLS -DHAVE_ZLIB -Wall -I/usr/include/glib-2.0 
-I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include 
-I/usr/local/include/json-glib-1.0  -L/usr/local/lib/ -ljson-glib-1.0 -I. -g 
-O2 -pipe libfacebook.c  fb_blist.c  fb_connection.c  fb_conversation.c  
fb_info.c  fb_managefriends.c  fb_messages.c  fb_notifications.c  fb_search.c  
fb_util.c  fb_friendlist.c  fb_json.c  fb_chat.c  libfacebook.h  fb_blist.h  
fb_connection.h  fb_conversation.h  fb_info.h  fb_managefriends.h  
fb_messages.h  fb_notifications.h  fb_search.h  fb_util.h  fb_friendlist.h  
fb_json.h  fb_chat.h -o libfacebook.so -shared -fPIC -DPIC
cc: error: cannot specify -o when generating multiple output files
*** Error code 1

Stop.
make[1]: stopped in 
/wrkdirs/usr/ports/net-im/pidgin-facebookchat/work/pidgin-facebookchat
*** Error code 1

Stop.
make: stopped in /usr/ports/net-im/pidgin-facebookchat
===>  Cleaning for pidgin-facebookchat-1.69_2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to